06 October 2010

Menaikkan Nilai APT::Cache-Limit

Ketika mencoba untuk upgrade ke Ubuntu 10.10 aka Maverick Meerkat ternyata dapat pesan error :
E: Dynamic MMap ran out of room. Please increase the size of APT::Cache-Limit. Current value: 25165824. (man 5 apt.conf)
E: Error occurred while processing blueman (NewVersion1)
E: Problem with MergeList /var/lib/dpkg/status
W: Unable to munmap
E: The package lists or status file could not be parsed or opened.

Solusinya adalah menaikkan nilai APT::Cache-Limit pada berkas /etc/apt/apt.conf.d/70debconf. Pada berkas tersebut diisi :
APT::Cache-Limit "100000000";

Selanjutnya anda tinggal sudo apt-get clean && sudo apt-get update --fix-missing dan melanjutkan misi selanjutnya.

Referensi :
- http://www.ithowto.ro/2008/10/howto-increase-apt-gets-cache-limit/

8 comments:

  1. akhirnya ketemu jga solusinya! :D
    maaf kak mw nanya, emg fungsinya : APT::Cache-Limit "100000000";
    itu bwt apa?

    ReplyDelete
  2. @yoki :
    maaf tidak menjawab, hal ini krn saya dapat pesan error :
    E: Dynamic MMap ran out of room. Please increase the size of APT::Cache-Limit. Current value: 25165824. (man 5 apt.conf)

    :)

    ReplyDelete
  3. isi dari 70debconf

    // Pre-configure all packages with debconf before they are installed.
    // If you don't like it, comment it out.
    DPkg::Pre-Install-Pkgs {"/usr/sbin/dpkg-preconfigure --apt || true";};

    masukin APT::Cache-Limit "100000000"; dimana?

    gw coba masukin di line paling bawah tapi masih tetap error kek gini
    Reading package lists... Error!
    E: Dynamic MMap ran out of room. Please increase the size of APT::Cache-Limit. Current value: 25165824. (man 5 apt.conf)
    E: Error occurred while processing mjpegtools (NewVersion1)
    E: Problem with MergeList /var/lib/apt/lists/archive.offensive-security.com_dists_pwnsauce_multiverse_binary-i386_Packages
    W: Unable to munmap
    E: The package lists or status file could not be parsed or opened.

    masih g mudeng ma ubuntu :((

    ReplyDelete
  4. itukan udah ada mas file /etc/apt/apt.conf.d/70debconf
    sudo gedit /etc/apt/apt.conf.d/70debconf Pada berkas tersebut diisi atau di tambah baris

    APT::Cache-Limit "100000000";

    biar ga penasaran jangan copas tapi di ketik

    ini bisa berjalan di kompi saya.

    ReplyDelete
  5. kamal :
    terimaksih atas koreksinya :)

    ReplyDelete
  6. Gan kalo muncul gini gmana y?


    W: GPG error: http://archive.offensive-security.com pwnsauce Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY FEF51A0A571327DB

    Mohon bantuannya.. Tks

    ReplyDelete
  7. @godjer :
    caranya : sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com 571327DB
    informasi lebih lanjut : http://milisdad.blogspot.com/2009/09/mendapat-pesan-gpg-error-seri-2.html

    ReplyDelete
  8. mantab gan...ane juga udah nyobain pake cara itu n sukses!!!

    ReplyDelete

Disqus for Dedy selalu Milisdad